# TableSelect::execute

(No version information available, might only be in Git)

TableSelect::execute — Execute select statement

### Description

public mysql_xdevapi\TableSelect::execute ( void ) : mysql_xdevapi\RowResult

Execute the select statement by chaining it with the execute() method.

### Parameters

This function has no parameters.

### Return Values

A RowResult object.

### Examples

Example #1 mysql_xdevapi\TableSelect::execute() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$schema = $session->getSchema("addressbook");
$table = $schema->getTable("names");
$result = $table->select('name','age')
->where('name like :name and age > :age')
->bind(['name' => 'John', 'age' => 42])
->orderBy('age desc')
->execute();
$row = $result->fetchAll();
?>`

The above example will output something similar to:

    Array
    (
        [0] => Array
            (
                [name] => John
                [age] => 42
            )
    )